# Class EpnTapStage

java.lang.Object
uk.ac.starlink.ttools.taplint.EpnTapStage

All Implemented Interfaces:
  `Stage`

public class EpnTapStage extends Object implements Stage
Validation stage for testing EPN-TAP data model metadata and content. This implementation corresponds to REC-EPNTAP-2.0.

Since:
  17 Jun 2021
Author:
  Mark Taylor
See Also:
  - EPN-TAP

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EPNCORE_TNAME`
Schema-less table name of EPN-TAP tables.
`static final uk.ac.starlink.vo.Ivoid`
`EPNCORE_UTYPE`
Required utype of EPN-TAP tables.
`static final uk.ac.starlink.vo.Ivoid`
`EPNCORE_UTYPE2`
Transitional utype of EPN-TAP tables.

## Constructor Summary

Constructors
Constructor
Description
`EpnTapStage(TapRunner tapRunner, MetadataHolder metaHolder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short one-line description of this stage.
`static void`
`main(String[] args)`
Writes a version of Table 1 to standard output.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EPNCORE_TNAME

public static final String EPNCORE_TNAME
Schema-less table name of EPN-TAP tables.

See Also:
  - Constant Field Values

### EPNCORE_UTYPE

public static final uk.ac.starlink.vo.Ivoid EPNCORE_UTYPE
Required utype of EPN-TAP tables.

### EPNCORE_UTYPE2

public static final uk.ac.starlink.vo.Ivoid EPNCORE_UTYPE2
Transitional utype of EPN-TAP tables.

## Constructor Details

### EpnTapStage

public EpnTapStage(TapRunner tapRunner, MetadataHolder metaHolder)
Constructor.

Parameters:
  `tapRunner` - runs TAP queries
  `metaHolder` - provides table metadata at runtime

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `Stage`
Returns a short one-line description of this stage.

Specified by:
  `getDescription` in interface `Stage`
Returns:
  description in imperative mood

### run

public void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from interface: `Stage`
Performs the validation checks for this stage.

Specified by:
  `run` in interface `Stage`
Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description

### main

public static void main(String[] args)
Writes a version of Table 1 to standard output.